Upgrading to 4.2.0

27 views
Skip to first unread message

jason.co...@gmail.com

unread,
Apr 13, 2022, 4:31:36 PMApr 13
to ipf-user
Good afternoon,

I'm trying to upgrade the ipf libraries from a 3.x version to 4.2.0 as part of a migration from java 8 to java 11.  

Unfortunately, I'm failing on pulling the hl7v3-code-jar  (1.3.7) from repo.spring.io.  It appears that repo.spring.io doesn't really exist anymore.  Does anyone know where I can obtain this jar?  It looks like ipf-commons needs it, and my maven build is trying to pull it from both spring-milestones and irisa-sumo.

Thanks
Jason

Thomas Papke

unread,
Apr 14, 2022, 9:40:12 AMApr 14
to ipf-user
Hello Jason,

if you have added the ihe repo "irisa-sumo"  (https://github.com/oehf/ipf/blob/master/dependencies/pom.xml#L974 ) the artifact should be available.

When manually browsing, the artifact is still there:

So please make sure you have this maven repository is configured in your local maven config or (in case you have company maven proxy) this repository is added as external maven repository.

Best regards,
Thomas
Reply all
Reply to author
Forward
0 new messages